<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Statement Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Statement Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A statement in a method  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a130d4110e02592e4719bc6635755d399"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a130d4110e02592e4719bc6635755d399">Statement</a> ()</td></tr>
<tr class="separator:a130d4110e02592e4719bc6635755d399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a895cf9c1ab1ea3cb24e105d42a1ffe71"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a895cf9c1ab1ea3cb24e105d42a1ffe71">Statement</a> (string value)</td></tr>
<tr class="separator:a895cf9c1ab1ea3cb24e105d42a1ffe71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f8bac083edf142f2fca1e513826b9da"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a3f8bac083edf142f2fca1e513826b9da">WithValue</a> (string value)</td></tr>
<tr class="separator:a3f8bac083edf142f2fca1e513826b9da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a2fa08cec4c7cd5607b3fe8efabf40d05"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a2fa08cec4c7cd5607b3fe8efabf40d05">Value</a><code> [get]</code></td></tr>
<tr class="memdesc:a2fa08cec4c7cd5607b3fe8efabf40d05"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html" title="A statement in a method">Statement</a> as a string (i.e. "int i = 0;")  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a2fa08cec4c7cd5607b3fe8efabf40d05">More...</a><br /></td></tr>
<tr class="separator:a2fa08cec4c7cd5607b3fe8efabf40d05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A statement in a method </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a130d4110e02592e4719bc6635755d399" name="a130d4110e02592e4719bc6635755d399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a130d4110e02592e4719bc6635755d399">&#9670;&nbsp;</a></span>Statement() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Statement.Statement </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a895cf9c1ab1ea3cb24e105d42a1ffe71" name="a895cf9c1ab1ea3cb24e105d42a1ffe71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a895cf9c1ab1ea3cb24e105d42a1ffe71">&#9670;&nbsp;</a></span>Statement() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Statement.Statement </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3f8bac083edf142f2fca1e513826b9da" name="a3f8bac083edf142f2fca1e513826b9da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f8bac083edf142f2fca1e513826b9da">&#9670;&nbsp;</a></span>WithValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a> xAPI_Definitions_Parser.Code.SyntaxTree.Statement.WithValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a2fa08cec4c7cd5607b3fe8efabf40d05" name="a2fa08cec4c7cd5607b3fe8efabf40d05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fa08cec4c7cd5607b3fe8efabf40d05">&#9670;&nbsp;</a></span>Value</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Statement.Value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html" title="A statement in a method">Statement</a> as a string (i.e. "int i = 0;") </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_statement_8cs.html">Statement.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
